#
# =======================================================================
# PACKAGE:	fstat -- Print File Status
# SH-PROC:	Demo Script #1 (mimic "ls -ld" ... a bit, at least)
# VERSION:	1 (94/02/13)
# =======================================================================
# Copyright (1994): Martin Weitzel, Darmstadt, Germany
#
# This demo scripts shows how to obtain output from "fstat" that
# resembles "ls -ld".  Not that this is the most useful mode of operation
# fstat offers, but it has at least *1* advantage over "ls -ld".  The
# format of the date column is much more regular as that of "ls -l" and
# hence lends itself much more to post-processing.

for p
do
	echo $p
done |
fstat '+%T''%P %3n %-8U %-8G %9s %M %F'
